Bug 1889633 - openshift4-cnf-tests | hugepages are not detected properly when requested in several NUMA nodes
Summary: openshift4-cnf-tests | hugepages are not detected properly when requested in ...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: CNF Platform Validation
Version: 4.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.7.0
Assignee: Denys Shchedrivyi
QA Contact: Nikita
URL:
Whiteboard:
Depends On:
Blocks: 1890087
TreeView+ depends on / blocked
 
Reported: 2020-10-20 08:57 UTC by Alberto Losada
Modified: 2020-10-22 21:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: Check under incorrect sys file for the amount of total and free number of hugepages. Consequence: The test fails when it runs on an environment with multiple NUMA nodes and a user asked to allocate hugepages on the specific NUMA node. Workaround (if any): It possible to skip the specific test via the ginkgo --skip parameter or just ignore the test result. Result:
Clone Of:
: 1890087 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift-kni performance-addon-operators pull 412 None closed Bug 1889633: Fix for test: hugepages with NUMA node 2020-11-23 09:49:02 UTC

Description Alberto Losada 2020-10-20 08:57:12 UTC
Description of problem:

cnf-tests suite did not pass the test where verifies hugepages configured in the server against the ones requested in the performance profile CR.

Version-Release number of selected component (if applicable):

quay.io/openshift-kni/cnf-tests:latest

How reproducible:


Steps to Reproduce:
1. Install the performance addon operator
2. Configure the performanceprofile requesting hugepages distributed across two or more NUMA nodes
3. Run cnf-tests

Actual results:

• Failure [9.086 seconds]
[performance]Hugepages
/go/src/github.com/openshift-kni/cnf-features-deploy/vendor/github.com/openshift-kni/performance-addon-operators/functests/1_performance/hugepages.go:28
  [rfe_id:27369]when NUMA node specified
  /go/src/github.com/openshift-kni/cnf-features-deploy/vendor/github.com/openshift-kni/performance-addon-operators/functests/1_performance/hugepages.go:52
    [test_id:27752][crit:high][vendor:cnf-qe@redhat.com][level:acceptance] should be allocated on the specifed NUMA node  [It]
    /go/src/github.com/openshift-kni/cnf-features-deploy/vendor/github.com/openshift-kni/performance-addon-operators/functests/1_performance/hugepages.go:53

    The number of available hugepages should be equal to the number in performance profile
    Expected
        <int32>: 16
    to equal
        <int32>: 8

Expected results:

The total amount of hugepages is 16 distributed. They are requested 8 GB in 2 NUMA nodes.

This is actually the performanceprofile CR:

hugepages:
      defaultHugepagesSize: 1G
      pages:
      - count: 8
        node: 0
        size: 1G
      - count: 8
        node: 1
        size: 1G


Additional info:

background information regarding distributing hugepages along NUMA nodes: https://github.com/openshift-kni/performance-addon-operators/issues/279

Comment 1 Federico Paolinelli 2020-10-20 10:44:17 UTC
Martin: assigning it to you since this is on the performance side

Comment 2 Martin Sivák 2020-10-20 10:56:25 UTC
Yeah, the test does not expect NUMA separation it seems. This code compares the total per-size with the requests that are per NUMA node: https://github.com/openshift-kni/performance-addon-operators/blob/master/functests/1_performance/hugepages.go#L54

Comment 3 Denys Shchedrivyi 2020-10-20 22:44:59 UTC
PR with test fix: https://github.com/openshift-kni/performance-addon-operators/pull/412

Comment 7 Denys Shchedrivyi 2020-10-22 21:12:01 UTC
Verified fix - test works well


Note You need to log in before you can comment on or make changes to this bug.